Search found 275 matches

Go to advanced search

by kwahoo
Sun Jul 06, 2014 9:08 pm
Forum: Open discussion
Topic: A little update
Replies: 18
Views: 5521

Re: A little update

On the desktop, Linux is still small, but it is much larger than what the "facts" say it is. Much larger? Are you sure? There is a nice table http://en.wikipedia.org/wiki/Usage_share_of_operating_systems#Web_clients Linux share is 1% (AT) - 2.07% (W3Counter). Optionally, we can add Steam stats (les...
by kwahoo
Tue Jul 01, 2014 3:34 pm
Forum: Help on using FreeCAD
Topic: How to add text on a .step model?
Replies: 8
Views: 1898

Re: How to add text on a .step model?

Jim was faster and he is right, there are ttf files in the Windows/Fonts directory:)
by kwahoo
Tue Jul 01, 2014 1:13 pm
Forum: Help on using FreeCAD
Topic: How to add text on a .step model?
Replies: 8
Views: 1898

Re: How to add text on a .step model?

You can use the Draft ShapeString tool, I think. Not sure if it is available in your version. If not, please download a newer version from http://sourceforge.net/projects/free-ca ... 0unstable/
by kwahoo
Mon Jun 30, 2014 7:17 pm
Forum: Help on using FreeCAD
Topic: Make Circles Perpendicular to a Curve
Replies: 10
Views: 2698

Re: Make Circles Perpendicular to a Curve

My idea: Add some lines perpendicular to the curve: http://en.zimagez.com/miniature/pl53.png Extrude the sketch using "Part" extrusion tool. Now you have planes, that you can use as support for next sketches. Draw circles on the planes (use external constrain tool to place circle precisely). http://...
by kwahoo
Sun Jun 29, 2014 1:08 pm
Forum: Python scripting and macros
Topic: Simple WebGL exporter for no gui application
Replies: 1
Views: 1124

Simple WebGL exporter for no gui application

Created for fun:) http://en.zimagez.com/miniature/sck.png All necessary files are in the repository https://github.com/kwahoo2/nwgl Typical usage: import noguiWebGLexport as nwgl nwgl.export(solid, "foo.html") Navigation in the generated HTML file: LMB + move - rotate MMB + move - zoom RMB + move - ...
by kwahoo
Sun Jun 29, 2014 8:43 am
Forum: Open discussion
Topic: FreeCAD on the web
Replies: 613
Views: 147016

Re: FreeCAD on the web

yorik wrote:Wow, looks like next edition of "Linux Format" (issue #185) will talk about FreeCAD! http://www.linuxformat.com/archives
Files used in the article https://github.com/dejongh/raspberrypicase
by kwahoo
Fri Jun 27, 2014 11:20 am
Forum: Help on using FreeCAD
Topic: More a Maths question than a FreeCAD one.
Replies: 9
Views: 2371

Re: More a Maths question than a FreeCAD one.

So, other special cases of a cone are e.g. all kind of pyramids where the base curve is a polygon. Wow, I've learned something new. "A cone is a three-dimensional geometric shape that tapers smoothly from a flat base (frequently, though not necessarily, circular ) to a point called the apex or vert...
by kwahoo
Thu Jun 26, 2014 5:21 pm
Forum: Python scripting and macros
Topic: Is there way to export normals info without using GUI?[Solve
Replies: 0
Views: 643

Is there way to export normals info without using GUI?[Solve

Hi! I found that normal vectors created via FreeCADGui.ActiveDocument.ActiveObject.toString() are pretty useful. Is there a way to export similar info to: Normal { vector [ -1 0 0, -1 0 0, -1 0 0, -1 0 0, 1 0 0, 1 0 0, 1 0 0, 1 0 0, 0 -1 0, 0 -1 0, 0 -1 0, 0 -1 0, 0 1 0, 0 1 0, 0 1 0, 0 1 0, 0 0 -1,...
by kwahoo
Tue Jun 24, 2014 5:19 pm
Forum: Announcements & Features
Topic: WebGL export
Replies: 128
Views: 50273

Re: WebGL export

Hi, I started tinkering with webgl2 branch and I had been a bit disappointed (sorry Johannes!). A cylinder exported with "phong": http://www.zimagez.com/miniature/cylinder-phong-flat.png It looks like flat shading - one normal vector for face/3 vertices. Then I found: geom.computeFaceNormals(); and ...
by kwahoo
Fri Jun 20, 2014 9:49 am
Forum: Help on using FreeCAD
Topic: Sketcher
Replies: 16
Views: 3131

Re: Sketcher

Hi mytwinbud! Let's do small Sketcher test. Paste this in the python console: # Macro Begin: /home/adi/.FreeCAD/sketchertest.FCMacro +++++++++++++++++++++++++++++++++++++++++++++++++ import FreeCAD import Sketcher App.newDocument("Unnamed") App.activeDocument().addObject('Sketcher::SketchObject','Sk...

Go to advanced search